#!/bin/sh
# $Id: startfluxbox.in 4980 2007-07-07 23:11:04Z markt $

command="`basename \"$0\"`"
fluxdir="$HOME/.fluxbox"
startup="$fluxdir/startup"

#run mintfb-verify.sh
/usr/lib/linuxmint/mint-fluxbox-default-settings/mintfb-verify.sh

#remove default startup
rm $startup

#start services
mintfb-livecd-services start &

while [ $# -gt 0 ]; do
    case "$1" in
        -c|--config)
            if [ $# -lt 2 ]; then
                echo "$command:error, missing argument"
                exit 1
            fi
            shift
            startup=$1
        ;;
        -h|--help) cat <<EOF
Usage: $command [-h] [-c startupfile]
EOF
        exit
        ;;
    esac
    shift
done

if [ -x "$startup" ]; then
    exec "$startup"
elif [ -r "$startup" ]; then
    exec sh "$startup"
else
    if [ ! -d $fluxdir ]; then
        mkdir -p "$fluxdir/backgrounds" "$fluxdir/styles" "$fluxdir/pixmaps"
    fi
    if [ ! -r "$startup" ]; then
        ( cat << EOF
# fluxbox startup-script:
#
# Lines starting with a '#' are ignored.

# You can set your favourite wallpaper here if you don't want
# to do it from your style.
#
# fbsetbg -f $HOME/pictures/wallpaper.png
#
# Wallpaper handled by Nitrogen

# This shows the fluxbox-splash-screen
# fbsetbg -C /usr/share/fluxbox/splash.jpg

# Other examples. Check man xset for details.
#
# Turn off beeps:
# xset -b
#
# Increase the keyboard repeat-rate:
# xset r rate 195 35
#
# Your own fonts-dir:
# xset +fp "$HOME/.fonts"
#
# Your favourite mouse cursor:
# xsetroot -cursor_name right_ptr
#
# Change your keymap:
# xmodmap "$HOME/.Xmodmap"


#-----------------------------------------------------------------
# DO NOT MODIFY THIS SECTION UNLESS YOU KNOW WHAT YOU ARE DOING!
#kill apps to prevent 2 instances running in case of FB crash
killall tilda conky idesk xfce-mcs-manager python wicd-client gnome-screensaver gnome-power-manager system-config-printer-applet bluetooth-applet volwheel xscreensaver mintUpdate

#remove the stupid music loop link
rm $HOME/Music/Music

#export environment variable for games
export PATH=${PATH}:/usr/games

#mcs-manager for gtk themes
xfce-mcs-manager &

#create GTK bookmarks
xdg-user-dirs-gtk-update &

#Restore wallpaper
nitrogen --restore &

#Start mint-fm2
cd /usr/lib/linuxmint/mint-fm2 && ./mint-fm2-launcher
cd

#run thunar daemon for volume management
Thunar --daemon &

#These run the default Linux Mint apps.
/usr/bin/fusesmbtool.sh &
/usr/bin/jockey-gtk --check &

#-----------------------------------------------------------------

#-----------------------------------------------------------------
#  ADD APPLICATIONS YOU WISH TO LAUNCH AT LOGIN IN THIS SECTION
#-----------------------------------------------------------------
# Applications you want to run with fluxbox.
# MAKE SURE THAT APPS THAT KEEP RUNNING HAVE AN ''&'' AT THE END.
#
# unclutter -idle 2 &
# wmnd &
# wmsmixer -w &
# idesk &

/usr/lib/linuxmint/mintUpdate/mintUpdate.py &
wicd-client &
xscreensaver -no-splash &
gnome-power-manager &
system-config-printer-applet &
bluetooth-applet &
volwheel &
idesk &
xfce4vino &
#-----------------------------------------------------------------

# And last but not least we start fluxbox.
# Because it is the last app you have to run it with ''exec'' before it.

#login sound
cd /usr/lib/linuxmint/mint-fm2; ./sound login &> /dev/null
cd

/usr/bin/fluxbox &&

rm $HOME/.fluxbox/startup

# or if you want to keep a log:
# exec /usr/bin/fluxbox -log "$fluxdir/log"
EOF
    ) > "$startup"
    fi
    chmod 644 "$startup"
    exec sh "$startup"
fi
